// *************************************************************************
// [内容] エンブラチャットサイドバー
// [詳細] エンブラチャットサイドバーのメインスクリプト。
// *************************************************************************
// [関数] チャットをロードする
function LoadChat(Panel) {
	return;
}

// var elMenuPanel=document.getElementById("menu_panel");

// [関数] i18n (多言語対応)
function i18nRInTextsPanelChat() {
	document.title=i18n("sidebar_tab_enbrachat", "EnjoyBrowser Chats Panel");
	// 言語介入の実行。
	i18nHtml();
}

// [イベント受信関数] onClickKJCLUBLogin
function onClickNETFONT7Login(e) {
	// ブラウザに保存されたログイン情報をロードする
	browser.storage.local.get(
		[
			"netfont7_login_id", "netfont7_login_pass"
		],

		(res) => {
			document.forms["loginfrom_chat"].id.value = DFProf( "netfont7_login_id", res.netfont7_login_id );
			document.forms["loginfrom_chat"].pass.value = DFProf( "netfont7_login_pass", res.netfont7_login_pass );
			if (document.forms["loginfrom_chat"].id.value == "" || document.forms["loginfrom_chat"].pass.value == "") {
				// [警告] IDとパスワードが設定されていない旨を通知。
				document.getElementById("netfont7_login").textContent = i18n("netfont7_login_blankaccount", "オプション設定でNETFONT7.NETのログイン情報を設定して下さい。");
				setTimeout(onTimerAfterNETFONT7Login, 5000);
				return;
			}
			document.getElementById("netfont7_login").textContent = i18n("netfont7_login_sended", "ログインを送信しました");
			document.forms["loginfrom_chat"].submit();
			setTimeout(onTimerAfterNETFONT7Login, 5000);
		}
	);
}

// [イベント受信関数] ログイン後のメッセージ復帰
function onTimerAfterNETFONT7Login() {
	document.getElementById("netfont7_login").textContent = i18n("netfont7_login", "✔ ログイン");
}

// [イベント受信関数] チャットフレームのロード完了
function onLoadChatFrame(e) {
	TabToEnabled();
	document.getElementById("ebchat_loading_frame").style.display="none";
}

function TabToEnabled() {
	document.getElementById("tab1").disabled=false;
	document.getElementById("tab2").disabled=false;
	document.getElementById("tab3").disabled=false;
}

function TabToDisabled() {
	document.getElementById("tab1").disabled=true;
	document.getElementById("tab2").disabled=true;
	document.getElementById("tab3").disabled=true;
}

function onChatTab1Change() {
	if( document.getElementById("tab1").checked==true ) {
		TabToDisabled();
		document.getElementById("ebchat_loading_frame").style.display="block";
		document.getElementById("EBChatFrame").setAttribute("src","https://tiny.netfont7.net/bbs.cgi/chat/1331718506/");
	}
}

function onChatTab2Change() {
	if( document.getElementById("tab2").checked==true ) {
		TabToDisabled();
		document.getElementById("ebchat_loading_frame").style.display="block";
		document.getElementById("EBChatFrame").setAttribute("src","https://tiny.netfont7.net/bbs.cgi/chat/1332151406/");
	}
}

function onChatTab3Change() {
	if( document.getElementById("tab3").checked==true ) {
		TabToDisabled();
		document.getElementById("ebchat_loading_frame").style.display="block";
		document.getElementById("EBChatFrame").setAttribute("src","https://tiny.netfont7.net/bbs.cgi/chat/1332151721/");
	}
}
// [関数] デフォルトのURLにジャンプさせる
function defaultToEBChat1() {
	browser.tabs.update({url:"https://www.netfont7.net/bbs.cgi/chat/1331718506/"}); 
}
function defaultToEBChat2() {
	browser.tabs.update({url:"https://www.netfont7.net/bbs.cgi/chat/1332151406/"}); 
}
function defaultToEBChat3() {
	browser.tabs.update({url:"https://www.netfont7.net/bbs.cgi/chat/1332151721/"}); 
}
// [関数]
function StartChat() {
	document.getElementById("EBChatFrame").addEventListener("load", onLoadChatFrame);

	i18nRInTextsPanelChat();
	var elPanel = document.getElementById("panel_chat");
	LoadChat(elPanel);
	
	// [イベントリスナ登録] ログインボタンにイベントを割り当てる
	document.getElementById("netfont7_login").addEventListener("click", onClickNETFONT7Login);
	
	// [リンク設定] チャットをフレームにロードする
	document.getElementById("EBChatFrame").setAttribute("src","https://tiny.netfont7.net/bbs.cgi/chat/1331718506/");

	document.getElementById("tab1").addEventListener("change", onChatTab1Change );
	document.getElementById("tab2").addEventListener("change", onChatTab2Change );
	document.getElementById("tab3").addEventListener("change", onChatTab3Change );
	
	document.getElementById("c1").addEventListener("dblclick", defaultToEBChat1, false);
	document.getElementById("c2").addEventListener("dblclick", defaultToEBChat2, false);
	document.getElementById("c3").addEventListener("dblclick", defaultToEBChat3, false);
}

// [イベントリスナ登録]
document.addEventListener("DOMContentLoaded", function() {
	StartChat();
});