// *************************************************************************
// [内容] メンバー情報修正介入 content_scripts スクリプト。
// [詳細] メンバー情報修正への各種施術を実現するためのメインスクリプト。
// [警告] この介入対応は、KJCLUBの不正利用を助長する可能性がある。
// *************************************************************************
// [互換] browserの名前空間がなけれぱchromeの名前空間を使用する。
var browser = browser || chrome;

function onLoad() {
	FormRebuild();
}

// [関数] メンバー情報修正フォームへの介入(※悪用の危険があるので特定ユーザーのみ)
function FormRebuild() {
	var elMBNicks=document.getElementsByName("mb_nick");
	if( elMBNicks.length >= 1 ) {
		var elMBNick=elMBNicks[0];

		// ニックネーム変更部分にIDを付与し、hiddenをtextに書き換える
		elMBNick.setAttribute("id","reg_mb_nick");
		// elMBNick.type="text";

		// レイアウト改善のため改行を直前に挿入する
		var elBr=document.createElement("br");
		elMBNick.parentNode.insertBefore(elBr, elMBNick)

		// 重複確認機能を追加
		var elNickDiv=elMBNick.parentNode;
		var elButton=document.createElement("button");
		elButton.setAttribute("type","button");
		elButton.setAttribute("id","btn_nick");
		elButton.setAttribute("class","btn btn-info");
		elButton.setAttribute("data-loading-text","確認中...");
		elButton.style.display="none";
		var elText=document.createTextNode('重複確認');
		elButton.appendChild(elText);
		elNickDiv.appendChild(elButton);

		// 重複確認等の結果が挿入される場所を追加作成
		var elMsgDiv=document.createElement("div");
		var elMsgSpan=document.createElement("span");
		elMsgSpan.setAttribute("id","msg_mb_nick");
		elMsgDiv.appendChild(elMsgSpan);
		elNickDiv.appendChild(elMsgDiv);

		browser.runtime.sendMessage({
				request: "getLoginIDInformation"
			},
			function(resp) {
				if( resp.response == "OK" ) {
					var login=resp.info;
					if( ["netfont7","netfont8"].indexOf(login.userid) >= 0 ) {
						elMBNick.type="text";
						elButton.style.display="inline";
						// FormRebuild();
					}
				}
			}
		);

	}
}

// [イベントリスナ登録] コンテンツロード時にonLoad()を呼ぶためのイベントリスナ登録を行う。
document.addEventListener("DOMContentLoaded", onLoad);
