// *************************************************************************
// [内容] サイドバーパネルのメインスクリプト。
// [詳細] サイドバーパネル機能を充実させる関数群とメインスクリプト。
// *************************************************************************
// [互換] browserの名前空間がなけれぱchromeの名前空間を使用する。
var browser = browser || chrome;

// [関数] 多言語対応のためのキー定義と、書き換え実施。
function i18nRInTextsPanelKjclub() {
	document.title=( AMO ? i18n("KJPlusAMOExtensionName", "KJCLUB Plus Sidebar Panel") : i18n("KJPlusExtensionName", "KJCLUB Plus+ Sidebar Panel") );
	// 言語介入の実行。
	i18nHtml();
}
function defaultToKJCLUB() {
	browser.tabs.update({url:"https://www.kjclub.com/"}); 
}
function defaultToNETFONT7() {
	browser.tabs.update({url:"https://www.netfont7.net/"}); 
}
// [イベント受信関数]
function onLoadSidebar() {
	i18nRInTextsPanelKjclub();
	document.getElementById("sidebar_tab_kjclubbbs").addEventListener("dblclick", defaultToKJCLUB, false);
	document.getElementById("sidebar_tab_options").addEventListener("dblclick", defaultToNETFONT7, false);
	if(!AMO) {
		document.getElementById("sidebar_tab_enbrachat").addEventListener("dblclick", defaultToNETFONT7, false);
		document.getElementById("sidebar_tab_tools").addEventListener("dblclick", defaultToNETFONT7, false);
	}
}

// [イベントリスナ登録] サイドバーパネルのロード完了イベントを受けて介入を実施する。
document.addEventListener("DOMContentLoaded", onLoadSidebar);