// *************************************************************************
// [内容] ログイン情報収得 content_scripts スクリプト。
// [詳細] ログイン情報収得を実現するためのメインスクリプト。
// *************************************************************************
// [互換] browserの名前空間がなけれぱchromeの名前空間を使用する。
var browser = browser || chrome;

// [関数] ログイン状態をチェックし、情報を獲得する。
function LoginChecker() {
	try {
		var login = {
			userid: null,
			username: null
		};

		// console.log("ページロード開始時の高速チェッカ");
		// ログインIDを検出 ( クッキーの ドメイン: .kjclub.com 名前: kimemberid )
		var aryCookies = getCookies();
		if ("kimemberid" in aryCookies) {
			login.userid = aryCookies.kimemberid;
		}
		browser.runtime.sendMessage({
			request: "setLoginIDInformation",
			userid: login.userid,
			username: login.username
		}, function() {} );
	}
	catch(e) {
	}
}

LoginChecker(); // ログイン状態をチェックし情報を獲得する