// *************************************************************************
// [内容] バックグラウンド・スクリプト／コンテキストメニュー
// [詳細] メニュー「オプション設定パネルを開く」
// *************************************************************************
// [互換] browserの名前空間がなけれぱchromeの名前空間を使用する。
var browser = browser || chrome;

// [関数] 設定パネルを開く
function clickedOptions(info, tab) {
	CreateUpdateTab("../options_ui/options.html");
}

// [右クリックしたときに開くコンテキストメニューを登録] オプション設定
var cmiOptions = null;
try {
	cmiOptions = browser.contextMenus.create({
		title: i18n("KJPlusExtensionPageActionSettings", "Options..."),
		contexts: ["all"],
		type: "normal",
		documentUrlPatterns: ["*://www.kjclub.com/jp/board/exc_board_*", "*://www.kjclub.com/kr/board/exc_board_*"],
		onclick: clickedOptions
	});
}
catch(e) {
}

// [関数] オプション設定メニューの表示更新
function updateCTXMenuOptions(visibleDefault) {
	if( !cmiOptions ) {
		return false;
	}
	try {
		browser.contextMenus.update(cmiOptions, {
			visible: visibleDefault
		});
	}
	catch(e) {
	}
}