// *************************************************************************
// [内容] ブラックリスト
// [詳細] スパムのブラックリスト
// *************************************************************************
// [配列] スパムのブラックリスト
// [拒否] レベル3以上はKJP+利用を拒否する
var SpamList = [{
	title: {
		ja: "旅行板中国語スパム(2019-02-18)"
	},
	details: {
		ja: "[レベル3:広告アフィリエイト等] 2019-02-18～2019-02-25にかけて旅行板で中国語スパムを投下。読めないでしょ! (2019-03-01に管理人が削除)"
	},
	level: 3,
	userids: ["agcdvtx1883", "zgxkckn8377", "knjsypn8613", "cqzvmsr8126", "zwtvzws0768", "wsijzvb1112", "njpegpx3517", "hnfypgm7071", "gumykxe7937"]
}, {
	title: {
		ja: "アフィ行為(日本系)(2019-04-08)"
	},
	details: {
		ja: "[レベル3:広告アフィリエイト等] 2019-04-08時事板でアプリ登録アフィ行為"
	},
	level: 3,
	exception: ["exc_board_25"],
	userids: ["kimchon588"]
}, {
	title: {
		ja: "広報板から出張(韓国系)(2019-04-03)"
	},
	details: {
		ja: "[レベル3:広告アフィリエイト等] 勧誘広報アフィ等を目的に広報板から一般板に流れてきた等。(2019-04-03旅行板で性的バイト勧誘行為)"
	},
	level: 3,
	exception: ["exc_board_25"],
	userids: ["tkfkdgksek0"]
}, {
	title: {
		ja: "エロサイト系スパムIDリスト(2019-03-02～2019-07-29～)"
	},
	details: {
		ja: "[レベル3:広告アフィリエイト等] エロサイト誘導系の定型文スパム。投下用IDも次々と追加。もはや清々しいほどの、とってもスパムらしいスパム。"
	},
	level: 3,
	exception: ["exc_board_25"],
	userids: ["mokencororos", "khw1092", "akyong1", "monscorekns", "kenscocosnz", "soconsoro", "senconscohonv", "rochohenso", "esnesoeconv", "hesenseons", "cnscoensew", "cocosnsso", "qpdc0d7", "mocarorenco", "conardseodw", "hokenscons", "wgwv914", "cbvn414", "cnerosneseo", "conaswen", "osensconse", "cowsnwosv", "upbububa73", "ansgh0726", "upline802", "henscoesv", "choensocns", "kroption3311", "mohencosh", "cohencocsn", "chencksea"]
}, {
	title: {
		ja: "ゲームサイト誘導系スパムIDリスト(2019-03-02～2019-07-29～)"
	},
	details: {
		ja: "[レベル3:広告アフィリエイト等] ゲームサイト誘導系スパム。"
	},
	level: 3,
	exception: ["exc_board_25"],
	userids: ["bubitbubit63"]
}, {
	title: {
		ja: "auauau系スパムIDリスト(2019-02-18～2019-07-29～)"
	},
	details: {
		ja: "[レベル2:微妙な大量投下] 大量の記事スレッドを全板へ投下してコミュニケーションを妨害。特定のキーワードで検索した結果の一覧をそのまま貼り付けたような、愛のない記事貼りだけかと思いきや、たまに語り出すのでスパム判定すべきか悩ましいので、時事板を除外。"
	},
	level: 2,
	exception: ["exc_board_9", "exc_board_26", "exc_board_44"],
	userids: ["auauau3", "auauau2", "auauau3","KARAFUTO", "tohoseibatu", "urajio", "karafutoshu"]
}, {
	title: {
		ja: "JAPAV系スパムIDリスト(2019-07-23～2019-07-29～)"
	},
	details: {
		ja: "[レベル3:自己スレッド意図的破壊] 自己スレッドへのコメントを抑止するため意図的に構文を破壊。また無意味な自己書き込みコメントにより、一覧でのコメント数表示を不当に加算し、誘導行為を行う。"
	},
	level: 3,
	userids: ["888aaa","harukidon1984"]
}, {
	title: {
		ja: "JAPAV系スパムIDリスト(2019-07-23～2019-07-29～)"
	},
	details: {
		ja: "[レベル2:微妙なカテゴリー外記事] カテゴリーに沿っているようでいて沿っていない記事を全板へたくさん投下してコミュニティーを破壊。確信犯的な広報活動に近く、多くの板においては場違い。"
	},
	level: 2,
	exception: ["exc_board_9", "exc_board_20", "exc_board_26", "exc_board_44", "exc_board_53"],
	userids: ["japav1", "japav2", "japav3", "japav4", "japav5", "japav6", "japav7", "japav8", "japav9", "japav10", "JAPAV1", "JAPAV2", "JAPAV3", "JAPAV4", "JAPAV5", "JAPAV6", "JAPAV7", "JAPAV8", "JAPAV9", "JAPAV10"]
}, {
	title: {
		ja: "執拗な投稿行為等により他者の正常なコミュニケーションを妨害。"
	},
	details: {
		ja: "[レベル1:執拗な投稿] 執拗・粘着・暴言・大量投稿等、一般的に邪魔と思われる。"
	},
	level: 1,
	userids: ["sekiya1", "ginza1", "ten2"]
}, {
	title: {
		ja: "スレ流し的な多頻度連続投稿"
	},
	details: {
		ja: "[レベル3:スレ流し的な多頻度連続投稿] 記事とは言えないコミュニケーション不能なスレッド等。"
	},
	level: 3,
	userids: ["kjclub111"]
}, {
	title: {
		ja: "不正書式投稿による意図的なコミュニケーション妨害"
	},
	details: {
		ja: "[レベル4:不正書式投稿] 不正なHTML書式文章の投稿により意図的にコミュニケーションを妨害。"
	},
	level: 4,
	userids: ["Hz432", "NamapoMonki", "783"]
}, {
	title: {
		ja: "特定IDへの誹謗中傷目的"
	},
	details: {
		ja: "[レベル1:特定IDへの誹謗中傷目的] IDを大量に用意して単発投稿。"
	},
	level: 1,
	userids: ["ramibow" ,"Seishinijousha", "chonkomonki2"]
}, {
	title: {
		ja: "もうもうクン。誹謗中傷目的の食板ホンタク壁貼り"
	},
	details: {
		ja: "[レベル4:誹謗中傷目的の食板壁貼り] もうもうしい。誹謗中傷目的の食板壁貼り。ホンタク画像貼り。"
	},
	level: 4,
	userids: ["checkmateking2", "van", "f2zacc", "pree", "true", "brutsh", "proudboys", "zoett", "bakabee", "bluestorm", "tabimakura16", "tods", "legion", "Semiunderground", "dana", "chanchitos", "sti", "efarm", "gournavi", "take5t", "aston2", "solidedge", "progrit", "inspiron", "jackspade", "slate", "recommender7", "lap", "intheroad", "LiveNationjapan", "defcon", "eth", "rampage", "funnybunny", "espri", "sur", "vil", "def", "qano", "cotriade", "spa", "alb", "roq", "precision", "backdraft", "iconic", "exc", "snowglobe", "jul", "kraken", "webb", "discord", "palemoonK", "presage", "alex386", "strano", "sun3", "cae", "damn", "divine3", "des", "ooitacountrywoman", "talisker", "whiterock", "pro", "camo", "escapewin", "vansu", "freetravel", "straw", "dship", "chappie", "vanish", "frankfurt", "app", "momoten", "fan", "pent", "brutish", "retty", "masanasa", "sal", "gar", "KARAFUTO", "gressive", "tru", "fridaynightplans", "muteking2", "mar", "brit", "defvoice", "dominion", "bar", "bel", "gloriousheart", "gil", "atys", "onsen3", "onsen2", "snidel", "salamander", "swedishK", "tre", "bus", "jupiter", "deepmax", "ago", "ora", "ete", "daim", "wid", "bug", "zephyr1", "nadian", "kei2", "qcl", "ald", "vin", "pavilion2", "sar", "sep", "bur", "kuuuko", "pre", "qanon", "ric", "ult", "por", "neofit", "rab", "tri", "moonriders", "envy2", "gra", "kipling"]
}, {
	title: {
		ja: "いまのところ単発だがカテゴリー外挑発投稿(2019-08-01～)"
	},
	details: {
		ja: "[レベル1:カテゴリー外挑発投稿] カテゴリーに沿っていない挑発投稿。監視対象。"
	},
	level: 1,
	userids: ["krt", "UNKOCHON"]
}];