// *************************************************************************
// [内容] スクリプトインジェクター関数群。
// [詳細] content_scriptから文書にJavaScriptを注入して実行する。
// *************************************************************************

// [互換] browserの名前空間がなけれぱchromeの名前空間を使用する。
var browser = browser || chrome;

// [関数] スクリプトをロードしてインジェクト実行する。
function ScriptLoader(targets) {
	targets.forEach(function(js) {
		// 指定されたこのスクリプトがmanifest.jsonで許可されているかを確認する。
		/*
		var manifest = browser.runtime.getManifest();
		if (manifest.web_accessible_resources.indexOf(js) < 0) {
			// 不正な呼び出し。
			console.log("manifest.jsonで許可されていません "+js);
			return;
		}
		*/
		// console.log("インジェクター: "+js);
		var scriptElement = document.createElement('script');
		scriptElement.setAttribute('src', browser.runtime.getURL(js)); // Self script only.  extension→runtime 2023.3.31～
		// scriptElement.setAttribute('src', browser.extension.getURL(js)); // Self script only. ～2023.3.30
		document.documentElement.appendChild(scriptElement);
	});
}