// *************************************************************************
// [内容] ストレージの初期値。
// [詳細] ストレージの初期値を定義する。
// *************************************************************************
// [互換] browserの名前空間がなけれぱchromeの名前空間を使用する。
var browser = browser || chrome;

// [配列] デフォルト値
var DefaultProfiles={
	kjclub_side: ( browser.i18n.getUILanguage().slice(0,2) == "ko" ? "kr" : "jp" ),
	kjclub_secure: false,
	kjclub_login_id: "",
	kjclub_login_pass: "",
	kjclub_currentlogin_datetime: 0,
	kjclub_currentlogin_userid: "",
	kjclub_currentlogin_username: "",
	kjclub_currentlogin_badname: false,
	kjclub_automaticfiltering: true,
	kjclub_automaticfiltering_level: 50,
	kjclub_automaticfiltering_perfectly: true,
	kjclub_userfiltering: true,
	kjclub_userfiltering_nicknames: "",
	kjclub_userfiltering_perfectly: false,
	kjclub_userfiltering_badnickname: true,
	kjclub_userfiltering_blacklist_stalking: false,
	kjclub_userfiltering_blacklist_spam: true,
	kjclub_userfiltering_blacklist_spam_level: 3,
	kjclub_usermarking: true,
	kjclub_usermarking_nicknames: "",
	kjclub_extraview: false, // AMO版はサポートされない
	netfont7_login_id: "", // AMO版はサポートされない
	netfont7_login_pass: "" // AMO版はサポートされない
};