// *************************************************************************
// [内容] バックグラウンド・スクリプト。
// [詳細] ページアクション実現のためにタブの切り替えを監視する。
// *************************************************************************
// [互換] browserの名前空間がなけれぱchromeの名前空間を使用する。
var browser = browser || chrome;

// [イベント受信関数] タブが変化したときに内容を確認し、対象URLの場合にページアクションボタンを表示する関数。
function pageActionTabFire(tabId, changeInfo, tab) {
	try {
		// console.log( "pageaction_menu/background.js pageActionTabFire" );
		tab.url.indexOf("https://www.kjclub.com/") > -1 || tab.url.indexOf("http://www.kjclub.com/") > -1 ? browser.pageAction.show(tabId) : browser.pageAction.hide(tabId);
	}
	catch(e) {
		// console.log( "pageaction_menu/background.js "+e );
	}
};

// イベントリスナ登録
browser.tabs.onUpdated.addListener(pageActionTabFire);
